#! /bin/sh

# source the file that contains paths 
echo Set up env...
BASEDIR=$(dirname $0)
source  $(pwd)/$BASEDIR/env.sh
cd $ROOTPATH

# Generate the file that will launch the bench
cat > launch_benchs.sh  <<EOF
cd $ROOTPATH
make -f Makefile -j $SPLIT_QSUB
EOF

for i in $(cat $ROOTPATH/formula/data | awk '{print $1}' | sort -u );do
    echo $i
    cat > launch_benchs.$i.sh  <<EOF
cd $ROOTPATH
make -f Makefile $i -j $SPLIT_QSUB
EOF
done

# Submit the benchs respecting parameters
echo
echo To Submit Benchs run : qsub -pe smp $SLOTS_QSUB  -q lrde  -S $SHELL_QSUB  'launch_benchs."*".sh'
echo with 'launch_benchs."*".sh' in
ls -1 launch_benchs.*.sh
#qsub -pe smp $SLOTS_QSUB  -q lrde  -S $SHELL_QSUB  'launch_benchs.sh' 
